<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
  		<groupId>ru.entaxy.platform.core</groupId>
  		<artifactId>error-handling</artifactId>
        <version>1.10.1</version>
    </parent>

	<groupId>ru.entaxy.platform.core.error-handling</groupId>
    <artifactId>error-handler</artifactId>
    <packaging>bundle</packaging>

  <name>ENTAXY :: PLATFORM :: CORE :: ERROR HANDLER</name>
  <description>ENTAXY :: PLATFORM :: CORE :: ERROR HANDLER</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.core.common.error.handler.interceptor
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
			org.apache.commons.lang3.exception,
            *
        </bundle.osgi.import.pkg>
        <!-- bundle.osgi.private.pkg>{local-packages}</bundle.osgi.private.pkg -->
        	<!--ru.entaxy.esb.system.core.common.error.handler.processor,
        	ru.entaxy.esb.system.core.common.error.handler.util-->
        
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
            <artifactId>core-support-runtime-legacy</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
    </dependencies>
</project>
